=== debian/control ===
Source: vtprint
Section: text
Priority: optional
Maintainer: Joseph Nahmias <jello@debian.org>
Build-Depends: debhelper-compat (=13), groff
Standards-Version: 4.5.0
Homepage: http://vtprint.sourceforge.net/
VCS-Browser: https://salsa.debian.org/debian/vtprint/
VCS-Git: git://salsa.debian.org/debian/vtprint.git
Rules-Requires-Root: no

Package: vtprint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Prints to term emulator via ANSI codes
 This program allows users to print from a remote UNIX host to a
 printer attached to their local terminal or emulator, which makes it
 great for printing files at home, etc.  (It only does text files,
 though.)
