=== debian/rules ===
#!/usr/bin/make -f

# enable all hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_build:
	dh_auto_build -- vtprint man woman FAQ FAQ.ps

override_dh_auto_test:
	true	# Don't print a test page

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

%:
	dh $@
