=== debian/watch ===
version=3
http://sf.net/vtprint/vtprint-(.*).tar.gz	debian	git-import-orig
